Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0025040
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 04. Warehouse managementminoralways2013-10-29 10:542013-12-31 04:57
ReporterVictorVillarView Statuspublic 
Assigned ToAtulOpenbravo 
PriorityhighResolutionfixedFixed in Version
StatusclosedFix in branchpiFixed in SCM revisiond988fdcac3dd
ProjectionnoneETAnoneTarget Version3.0PR14Q2
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionpiSCM revision 
Review Assigned Topramakrishnan
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0025040: The posting status of matched invoices should change after calculating the Goods Receipt cost

DescriptionThe posting status of matched invoices should change after calculating the Goods Receipt cost so the Acct Server background process will take into account these documents to post them again
Steps To ReproduceAs group Admin role,
Go to Process request window,
  Unschedule Acct Server process and Costing Background processes.

Go to Good Receipt window,
  Create a new register for F&B US. organization
  Lines tab:
    Create a new register for Cola
    qty: 1
Complete it.
Create the invoice from the Receipt.

Complete the invoice created.

Launch the Acct server process.
Realise that the Matched invoice document has No cost calculated status, and the Acct server will not take into account this document any more.

The costing server should change this status to Not posted once it will calculate the Goods Receipt cost.
Proposed SolutionA possible fix attached, please review it
TagsNo tags attached.
Attached Filesdiff file icon matchinv_posting_reset.diff [^] (1,177 bytes) 2013-10-29 10:54 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]
related to defect 00237413.0MP24 closeddmiguelez The status of a warehouse transaction should be 'NC' (no cost) when posting without cost calculated yet 

-  Notes
(0063114)
hgbot (developer)
2013-12-30 11:54

Repository: erp/devel/pi
Changeset: d988fdcac3dd50971daebc30e8b73d4bf22921f1
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Sat Dec 28 19:42:38 2013 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/d988fdcac3dd50971daebc30e8b73d4bf22921f1 [^]

Fixes Issue 0025040:Posting status of matched invoices should change after calculating GRN cost

---
M src/org/openbravo/costing/CostingServer.java
---
(0063116)
pramakrishnan (developer)
2013-12-30 11:58

Code review + testing - OK
(0063117)
AtulOpenbravo (developer)
2013-12-30 12:05

Test Plan
- Login as F&B International Group Admin role,
- Go to Process request window,
  Unschedule Acct Server process and Costing Background processes.
- Go to Good Receipt window,
- Create a new record for F&B US. organization
- Lines tab: Create a new record for Cola, Qty: 1
- Complete it.
- Create the invoice from the Receipt.
- Complete the invoice created.
- Schedule Accounting Server Process and check that status of Matched Invoice asscoiated with the above GRN is Cost Not Calculated.
- Schedule Costing Background Process.
- Check that Costing Background process changes status of the associated Matched invoices to Not posted once it will calculate the Goods Receipt cost.
(0063134)
hudsonbot (developer)
2013-12-31 04:57

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/987357c24f95 [^]

Maturity status: Test

- Issue History
Date Modified Username Field Change
2013-10-29 10:54 VictorVillar New Issue
2013-10-29 10:54 VictorVillar Assigned To => dmiguelez
2013-10-29 10:54 VictorVillar File Added: matchinv_posting_reset.diff
2013-10-29 10:54 VictorVillar Modules => Core
2013-10-29 10:54 VictorVillar Triggers an Emergency Pack => No
2013-10-29 10:54 VictorVillar Target Version => 3.0MP30
2013-10-29 10:55 VictorVillar Issue Monitored: networkb
2013-10-29 10:56 VictorVillar Relationship added related to 0023741
2013-11-08 12:07 dmiguelez Assigned To dmiguelez => jonalegriaesarte
2013-11-11 16:38 jonalegriaesarte Target Version 3.0MP30 => 3.0MP31
2013-12-06 05:18 eintelau Issue Monitored: eintelau
2013-12-23 13:49 jonalegriaesarte Target Version 3.0MP31 => 3.0MP32
2013-12-26 10:35 AtulOpenbravo Assigned To jonalegriaesarte => AtulOpenbravo
2013-12-27 15:35 AtulOpenbravo Status new => scheduled
2013-12-27 15:35 AtulOpenbravo fix_in_branch => pi
2013-12-30 11:54 hgbot Checkin
2013-12-30 11:54 hgbot Note Added: 0063114
2013-12-30 11:54 hgbot Status scheduled => resolved
2013-12-30 11:54 hgbot Resolution open => fixed
2013-12-30 11:54 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/d988fdcac3dd50971daebc30e8b73d4bf22921f1 [^]
2013-12-30 11:58 pramakrishnan Review Assigned To => pramakrishnan
2013-12-30 11:58 pramakrishnan Note Added: 0063116
2013-12-30 11:58 pramakrishnan Status resolved => closed
2013-12-30 12:05 AtulOpenbravo Note Added: 0063117
2013-12-31 04:57 hudsonbot Checkin
2013-12-31 04:57 hudsonbot Note Added: 0063134


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker